MACField.h File Reference

Contains the MACField class. More...

`#include <vector>`
`#include <boost/lexical_cast.hpp>`
`#include "Field.h"`
`#include "ns.h"`

Go to the source code of this file.

## Classes

class | MACField< Data_T >
| This subclass of Field implements a standard MAC field. Refer to your favorite fluid simulations book for an explanation. More...
class | MACField< Data_T >::const_mac_comp_iterator
class | MACField< Data_T >::mac_comp_iterator

## Namespaces

namespace | MACFieldUtil

## Typedefs

typedef MACField< V3d > | MACField3d
typedef MACField< V3f > | MACField3f
typedef MACField< V3h > | MACField3h

## Enumerations

enum | MACComponent { MACCompU = 0 , MACCompV , MACCompW }

## Functions

| FIELD3D_CLASSTYPE_TEMPL_INSTANTIATION (MACField)
Box3i | MACFieldUtil::makeDataWindowForComponent (Box3i dataWindow, MACComponent comp)

## Detailed Description

Contains the MACField class.

Definition in file MACField.h.

## Typedef Documentation

## MACField3h

typedef MACField<V3h> MACField3h

Definition at line 350 of file MACField.h.

## MACField3f

typedef MACField<V3f> MACField3f

Definition at line 351 of file MACField.h.

## MACField3d

typedef MACField<V3d> MACField3d

Definition at line 352 of file MACField.h.

## Enumeration Type Documentation

## MACComponent

enum MACComponent

Enumerator
MACCompU |
MACCompV |
MACCompW |

Definition at line 71 of file MACField.h.

{
MACCompU = 0,
MACCompV,
MACCompW
};
MACCompV
@ MACCompV
Definition MACField.h:73
MACCompU
@ MACCompU
Definition MACField.h:72
MACCompW
@ MACCompW
Definition MACField.h:74

## Function Documentation

## FIELD3D_CLASSTYPE_TEMPL_INSTANTIATION()

FIELD3D_CLASSTYPE_TEMPL_INSTANTIATION | ( | MACField |  | ) |